| Home | Libraries | People | FAQ | More

## Struct upgradable_to_exclusive_rollback

boost::interprocess::interprocess_upgradable_mutex::upgradable_to_exclusive_rollback

## Synopsis

    // In header: <boost/interprocess/sync/interprocess_upgradable_mutex.hpp>

    struct upgradable_to_exclusive_rollback {
      // construct/copy/destruct
      upgradable_to_exclusive_rollback(control_word_t &);
      ~upgradable_to_exclusive_rollback();

      // public member functions
      void release();
      control_word_t * mp_ctrl;
    };

## Description

### `upgradable_to_exclusive_rollback` public construct/copy/destruct

1.     upgradable_to_exclusive_rollback(control_word_t & ctrl);

2.     ~upgradable_to_exclusive_rollback();

### `upgradable_to_exclusive_rollback` public member functions

1.     void release();